DcwSpatialIndex.PrimitiveRecord (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class DcwSpatialIndex.PrimitiveRecord

    java.lang.Object
      com.bbn.openmap.layer.vpf.DcwSpatialIndex.PrimitiveRecord

Enclosing class:
  DcwSpatialIndex

    public static class DcwSpatialIndex.PrimitiveRecord

extends java.lang.Object

A class that wraps an entry in the spatial index.

Field Summary
`int` | `primId` the id of the primitive this record is for
`short` | `x1` see the VPF spec for what these mean
`short` | `x2` see the VPF spec for what these mean
`short` | `y1` see the VPF spec for what these mean
`short` | `y2` see the VPF spec for what these mean

Constructor Summary
`DcwSpatialIndex.PrimitiveRecord(BinaryFile inputFile)` construct a new primitive record

Method Summary
`java.lang.String` | `toString()` Returns a pretty string representation of the record

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x1

    public final short x1

  see the VPF spec for what these mean

### y1

    public final short y1

  see the VPF spec for what these mean

### x2

    public final short x2

  see the VPF spec for what these mean

### y2

    public final short y2

  see the VPF spec for what these mean

### primId

    public final int primId

  the id of the primitive this record is for

Constructor Detail

### DcwSpatialIndex.PrimitiveRecord

    public DcwSpatialIndex.PrimitiveRecord(BinaryFile inputFile)
                                    throws FormatException,
                                           java.io.EOFException

  construct a new primitive record

  Parameters:
    `inputFile` - the file to read the record from
  Throws:
    `FormatException` - an error was encountered reading the record
    `java.io.EOFException` - an error was encountered reading the record

Method Detail

### toString

    public java.lang.String toString()

  Returns a pretty string representation of the record

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string version of the record

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details